imports:
    - { resource: ../config/default.yml }

parameters:
    env(REDIS_HOST): 'localhost'

services:
    cache.test_redis_connection:
        public: false
        class: Redis
        factory: ['Symfony\Component\Cache\Adapter\RedisAdapter', 'createConnection']
        arguments: ['redis://%env(REDIS_HOST)%']

    cache.app:
        parent: cache.adapter.redis
        tags:
            - name: cache.pool
              provider: cache.test_redis_connection

framework:
    cache:
        pools:
            cache.pool1:
                public: true
                clearer: cache.system_clearer
            cache.pool2:
                public: true
                clearer: ~
            cache.pool3:
                clearer: ~
            cache.pool4:
                tags: true
                public: true
            cache.pool5:
                tags: cache.pool2
                public: true
            cache.pool6:
                tags: cache.pool4
                public: true
            cache.pool7:
                adapter: cache.pool4
                public: true
